Announcement Announcement Module
Collapse
No announcement yet.
Spring Web Services 1.0 M3 Released Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring Web Services 1.0 M3 Released

    Dear Spring community,

    I'm pleased to announce that Spring Web Services 1.0 M3 has been released. 1.0 M3 is the third milestone of Spring-WS: a product of the Spring community focused on creating document-driven Web services.

    Spring-WS 1.0 M3 includes
    • new template-based client-side support,
    • dynamically created WSDL definitions based on an XSD schema,
    • improved support for WebLogic 8 and 9,
    • a convenient way to setup Spring-WS as a Servlet,

    and further refinements. It also contains numerous fixes for issues discovered since 1.0 M2. Please see the changelog file (as well as the changelog in JIRA) for details.

    For more information, see http://www.springframework.org/spring-ws. To download, go to http://sourceforge.net/project/showf...ease_id=481055. The jars have also been uploaded to our Spring Maven2 repository, and should be available at repo.mergere.com (the main repo) soon.

    Cheers,

    Arjen

  • #2
    This is great!

    Thanks Arjen, hope V1.0 will be released soon!

    Comment


    • #3
      Note that there is a guide to upgrade from M2 to M3 at http://static.springframework.org/sp...upgrading.html.

      Comment


      • #4
        I'd love to get started using this product. I have downloaded the m3-full.zip but I cannot build the samples:

        Downloading: https://svn.sourceforge.net/svnroot/...mlunit-1.0.pom
        [INFO] ------------------------------------------------------------------------
        [ERROR] BUILD ERROR
        [INFO] ------------------------------------------------------------------------
        [INFO] Error building POM (may not be this project's POM).


        Project ID: xmlunit:xmlunit

        Reason: Error getting POM for 'xmlunit:xmlunit' from the repository: Error transferring file
        xmlunit:xmlunitom:1.0

        from the specified remote repositories:
        central (http://repo1.maven.org/maven2),
        spring-ext (https://svn.sourceforge.net/svnroot/...epos/repo-ext/)

        Any help appreciated

        Comment


        • #5
          I cleaned up my local Maven repository, so that all dependencies are downloaded again, but I cannot reproduce this. The xmlunit jar is at the central repository.

          Could you try running maven again?

          Comment


          • #6
            OK, so I completely cleared out my local repository and started the core build again. It started to download all the basic Maven poms from repo1.maven.org but, once again, when it gets to xmlunit for some reason it goes to https://svn.sourceforge.net/....

            Could this be an https firewall issue as I'm behind a firewall that means I have to set a proxy.

            I'm pretty new to Maven, but one thing that puzzles me is the lack of an obvious parent pom. The echo sample has a parent in the samples dir but that pom points to a parent of spring-ws, but I can't see the pom for that. Does this mean that Maven will try and get the parent from the repo?

            Comment


            • #7
              OK, looks like a firewall issue. I have tried this on my 'home' PC and it all works fine. There seems to be an issue with https repos and firewalls, see https://maven2-repository.dev.java.net/.

              An answer to my pom question above would be appreciated even though I realise it's really a Maven question, not spring-ws !

              TIA

              Comment


              • #8
                Originally posted by smithap View Post
                I'm pretty new to Maven, but one thing that puzzles me is the lack of an obvious parent pom. The echo sample has a parent in the samples dir but that pom points to a parent of spring-ws, but I can't see the pom for that. Does this mean that Maven will try and get the parent from the repo?
                It does, the Spring-WS parent pom is located right here. All the version numbers are mentioned there too, so that I don't have too keep them all in sync. You can override the version numbers in dependant poms, though.

                Comment


                • #9
                  hello Arjen Poutsma
                  i need an example or a step by step documentation on how to integrate
                  spring ws on the appfuse project
                  thanks

                  Comment


                  • #10
                    I have no experience with Appfuse, so I'm afraid I can't help you there.

                    Comment


                    • #11
                      When will version 1.0 be released?

                      When will version 1.0 be released? How many milestones are planned prior to the 1.0 version? Which JDK version is minimal required for Spring-WS?

                      Regards,
                      Martijn de Bruijn

                      Comment


                      • #12
                        If no major new issues are found, m3 will be the last milestone. We will go into release candidates after it and 1.0 will be released in Q2 2007.

                        Comment


                        • #13
                          Minimum JDK version

                          Arjen,
                          What will be the minimum JDK version needed for Spring WS?
                          Regards,
                          Martijn de Bruijn

                          Comment


                          • #14
                            Currently, it's JDK 1.3 and above. But there is a poll to require 1.4 here: .

                            Comment


                            • #15
                              SoapMessageContext missing from 1.0M3

                              Dear Arjen,

                              I have downloaded 1.0M3 and read the migration guide, but there is no mention of SoapMessageContext that seems to have disappeared. I have code in 1.0M2 that uses it.

                              What is the appropriate replacement in M3?

                              Best wishes, Ivan

                              Comment

                              Working...
                              X